package com.bocloud.ims.entity.resource;

import java.util.List;
import java.util.Map;

/**
 * 主机excel文件表头信息属性类
 * 
 * @author liuyuanyuan
 *
 */
public class ServerProperty {
	// 主机属性名称
	private String name;
	// 主机属性分组
	private String groupName;
	// 是否为必填字段
	private Boolean required;
	// 是否为引用类型
	private Boolean quote;
	// 是否为选择
	private Boolean dropDown;
	// 是否为时间
	private Boolean isDate;
	private List<String> items;
	// 编码
	private String code;
	// 值转换
	private Map<String, String> conversion;

	public ServerProperty() {
		super();
	}

	public ServerProperty(String name, String groupName, Boolean required, Boolean quote, Boolean dropDown) {
		super();
		this.name = name;
		this.groupName = groupName;
		this.required = required;
		this.quote = quote;
		this.dropDown = dropDown;
	}

	public ServerProperty(String name, String groupName, Boolean required, Boolean quote, Boolean dropDown,
			Boolean isDate, String code) {
		super();
		this.name = name;
		this.groupName = groupName;
		this.required = required;
		this.quote = quote;
		this.dropDown = dropDown;
		this.isDate = isDate;
		this.code = code;
	}

	public ServerProperty(String name, String groupName, Boolean required, Boolean quote, Boolean dropDown,
			List<String> items, Boolean isDate, String code) {
		super();
		this.name = name;
		this.groupName = groupName;
		this.required = required;
		this.quote = quote;
		this.dropDown = dropDown;
		this.items = items;
		this.isDate = isDate;
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getGroupName() {
		return groupName;
	}

	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}

	public Boolean isRequired() {
		return required;
	}

	public void setIsRequired(Boolean required) {
		this.required = required;
	}

	public Boolean getIsQuote() {
		return quote;
	}

	public void setQuote(Boolean quote) {
		this.quote = quote;
	}

	public List<String> getItems() {
		return items;
	}

	public void setItems(List<String> items) {
		this.items = items;
	}

	public Boolean isRedio() {
		return dropDown;
	}

	public void setIsRedio(Boolean dropDown) {
		this.dropDown = dropDown;
	}

	public Boolean getIsDate() {
		return isDate;
	}

	public void setIsDate(Boolean isDate) {
		this.isDate = isDate;
	}

	public Boolean getRequired() {
		return required;
	}

	public void setRequired(Boolean required) {
		this.required = required;
	}

	public Boolean getDropDown() {
		return dropDown;
	}

	public void setDropDown(Boolean dropDown) {
		this.dropDown = dropDown;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Boolean getQuote() {
		return quote;
	}

	public Map<String, String> getConversion() {
		return conversion;
	}

	public void setConversion(Map<String, String> conversion) {
		this.conversion = conversion;
	}

}
